package com.tptj.demo.hg.actor.provider;

import com.fanruan.api.log.LogKit;
import com.fr.intelli.record.Focus;
import com.fr.main.TemplateWorkBook;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.report.core.sheet.WorkBookExecutor;
import com.fr.stable.PageActor;

import java.util.Map;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-23
 **/
@EnableMetrics
public class SpPageActor extends PageActor {

    @Override
    @Focus(id = "com.tptj.demo.hg.actor.provider.v10",text = "actor provider")
    public WorkBookExecutor createWorkBookExecutor(TemplateWorkBook workBook, Map parameterMap) {
        //计算的入口
        LogKit.info("SpPageActor 模板预处理");
        return new SpPageWorkBookExecutor(workBook, parameterMap);
    }

}
